package com.bytedance.android.livesdk.model.message;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public final class LinkmicAudienceTurnOnGuide {
    @c(LIZ = "content")
    public LinkmicAudienceNoticeText LIZ;
    @c(LIZ = "button_content")
    public LinkmicAudienceNoticeText LIZIZ;

    static {
        Covode.recordClassIndex(19083);
    }

    public final String toString() {
        StringBuilder sb = new StringBuilder();
        if (this.LIZ != null) {
            sb.append(", content=");
            sb.append(this.LIZ);
        }
        if (this.LIZIZ != null) {
            sb.append(", button_content=");
            sb.append(this.LIZIZ);
        }
        sb.replace(0, 2, "LinkmicAudienceTurnOnGuide{");
        sb.append('}');
        return sb.toString();
    }
}
